Index: /branches/new_class_id/src/lib/graphics/graphics_engine.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/graphics_engine.cc	(revision 9833)
@@ -17,5 +17,4 @@
 
 #include "graphics_engine.h"
-#include "util/loading/resource_manager.h"
 #include "state.h"
 
Index: /branches/new_class_id/src/lib/graphics/importer/bsp_file.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/bsp_file.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/bsp_file.cc	(revision 9833)
@@ -22,5 +22,5 @@
 #include "bsp_tree_node.h"
 #include <fstream>
-#include "util/loading/resource_manager.h"
+#include "util/loading/new_resource_manager.h"
 
 #include <sys/stat.h>
@@ -466,5 +466,5 @@
     PRINTF(4)("BSP FILE: Name %s . \n", fileName);
 
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -481,5 +481,5 @@
     strncat (fileName, ext, strlen(fileName));
 
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -496,5 +496,5 @@
     strncat (fileName, ext, strlen(fileName));
 
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -511,5 +511,5 @@
     strncat (fileName, ext, strlen(fileName));
 
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -524,5 +524,5 @@
     strcpy(ext, ".TGA");
     strncat (fileName, ext, strlen(fileName));
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()/*stat( absFileName.c_str() , &results) == 0*/) {
@@ -537,5 +537,5 @@
     strcpy(ext, ".jpg");
     strncat (fileName, ext, strlen(fileName));
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
     if(File(absFileName).exists()) {
       PRINTF(4)("BSP FILE: gefunden . \n");
@@ -551,5 +551,5 @@
     strcpy(ext, ".JPG");
     strncat (fileName, ext, strlen(fileName));
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
     if(File(absFileName).exists()) {
       PRINTF(4)("BSP FILE: gefunden . \n");
@@ -566,5 +566,5 @@
     strcpy(ext, ".bmp");
     strncat (fileName, ext, strlen(fileName));
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -580,5 +580,5 @@
     strcpy(ext, ".BMP");
     strncat (fileName, ext, strlen(fileName));
-    absFileName = ResourceManager::getFullName(fileName);
+    absFileName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
     if(File(absFileName).exists()) {
@@ -611,5 +611,5 @@
   this->testSurf = NULL;
 
-  this->testSurf = IMG_Load(ResourceManager::getFullName(mat).c_str());
+  this->testSurf = IMG_Load(Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(mat).c_str());
   if(this->testSurf != NULL) {
     if(this->testSurf->format->Amask != 0 ) tmpAMat.alpha = true;
Index: /branches/new_class_id/src/lib/graphics/importer/bsp_manager.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/bsp_manager.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/bsp_manager.cc	(revision 9833)
@@ -33,5 +33,5 @@
 #include "world_entities/player.h"
 #include "world_entities/playable.h"
-#include "util/loading/resource_manager.h"
+
 // STL Containers
 #include <vector>
@@ -41,4 +41,5 @@
 #include "world_entity.h"
 
+#include "util/loading/new_resource_manager.h"
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
@@ -91,5 +92,5 @@
   this->bspFile = new BspFile();
   this->bspFile->scale =  scale;
-  if(this->bspFile->read(ResourceManager::getFullName(fileName).c_str()) == -1)
+  if(this->bspFile->read(Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName).c_str()) == -1)
     return -1;
 
@@ -1376,5 +1377,5 @@
     if( this->outputFraction == 1.0f) // No collision Detected
     {
-      if( this->outputAllSolid ) 
+      if( this->outputAllSolid )
       {
         this->collPlane = new plane;
Index: /branches/new_class_id/src/lib/graphics/importer/height_map.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/height_map.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/height_map.cc	(revision 9833)
@@ -22,5 +22,4 @@
 #include "p_node.h"
 #include "state.h"
-#include "util/loading/resource_manager.h"
 #include "debug.h"
 
Index: /branches/new_class_id/src/lib/graphics/importer/material.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/material.cc	(revision 9833)
@@ -26,5 +26,4 @@
 
 #include "resource_texture.h"
-//#include "util/loading/resource_manager.h"
 
 ObjectListDefinition(Material);
Index: /branches/new_class_id/src/lib/graphics/importer/media_container.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/media_container.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/media_container.cc	(revision 9833)
@@ -25,6 +25,5 @@
 #include "media_container.h"
 
-#include "util/loading/resource_manager.h"
-
+#include "util/loading/new_resource_manager.h"
 /* header for debug output */
 #include "debug.h"
@@ -92,5 +91,5 @@
     return false;
   // check whether file exists
-  if(!ResourceManager::isInDataDir(filename))
+  if(!Resources::NewResourceManager::getInstance()->checkFileInMainPath(filename))
   {
     PRINTF(1)("Could not find %s\n", filename.c_str());
@@ -102,7 +101,7 @@
 
   // Open video file
-  if (av_open_input_file(&format_context, ResourceManager::getFullName(filename).c_str(), NULL, 0, NULL) !=0 )
-  {
-    PRINTF(1)("Could not open %s\n", ResourceManager::getFullName(filename).c_str());
+  if (av_open_input_file(&format_context, Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str(), NULL, 0, NULL) !=0 )
+  {
+    PRINTF(1)("Could not open %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
@@ -111,5 +110,5 @@
   if (av_find_stream_info(format_context) < 0)
   {
-    PRINTF(1)("Could not find stream information in %s\n", ResourceManager::getFullName(filename).c_str());
+    PRINTF(1)("Could not find stream information in %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
@@ -120,5 +119,5 @@
   if(video_stream == -1)
   {
-    PRINTF(1)("Could not find a video stream in %s\n", ResourceManager::getFullName(filename).c_str());
+    PRINTF(1)("Could not find a video stream in %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
Index: /branches/new_class_id/src/lib/graphics/importer/movie_player.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/importer/movie_player.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/importer/movie_player.cc	(revision 9833)
@@ -24,6 +24,5 @@
 // include your own header
 #include "movie_player.h"
-
-#include "util/loading/resource_manager.h"
+#include "util/loading/new_resource_manager.h"
 
 // header for debug output
@@ -90,5 +89,5 @@
     return false;
   // check whether file exists
-  if(!ResourceManager::isInDataDir(filename))
+  if(!Resources::NewResourceManager::getInstance()->checkFileInMainPath(filename))
   {
     PRINTF(1)("Could not find %s\n", filename.c_str());
@@ -100,7 +99,7 @@
 
   // Open video file
-  if (av_open_input_file(&format_context, ResourceManager::getFullName(filename).c_str(), NULL, 0, NULL) !=0 )
-  {
-    PRINTF(1)("Could not open %s\n", ResourceManager::getFullName(filename).c_str());
+  if (av_open_input_file(&format_context, Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str(), NULL, 0, NULL) !=0 )
+  {
+    PRINTF(1)("Could not open %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
@@ -109,5 +108,5 @@
   if (av_find_stream_info(format_context) < 0)
   {
-    PRINTF(1)("Could not find stream information in %s\n", ResourceManager::getFullName(filename).c_str());
+    PRINTF(1)("Could not find stream information in %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
@@ -118,5 +117,5 @@
   if(video_stream == -1)
   {
-    PRINTF(1)("Could not find a video stream in %s\n", ResourceManager::getFullName(filename).c_str());
+    PRINTF(1)("Could not find a video stream in %s\n", Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(filename).c_str());
     return false;
   }
Index: /branches/new_class_id/src/lib/graphics/shader.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/shader.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/shader.cc	(revision 9833)
@@ -24,5 +24,4 @@
 #include "debug.h"
 
-#include "util/loading/resource_manager.h"
 
 
@@ -76,5 +75,5 @@
   : data(new ShaderData)
 {
-  
+
 }
 
Index: /branches/new_class_id/src/lib/graphics/shader_data.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/shader_data.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/shader_data.cc	(revision 9833)
@@ -24,6 +24,4 @@
 
 #include "debug.h"
-
-#include "util/loading/resource_manager.h"
 
 
Index: /branches/new_class_id/src/lib/graphics/text_engine/text.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/text_engine/text.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/text_engine/text.cc	(revision 9833)
@@ -18,6 +18,5 @@
 #include "text.h"
 #include "font.h"
-
-#include "util/loading/resource_manager.h"
+#include "loading/resource_manager.h"
 #include "debug.h"
 
Index: /branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc
===================================================================
--- /branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/graphics/text_engine/text_engine.cc	(revision 9833)
@@ -33,5 +33,4 @@
 
 #include "graphics_engine.h"
-#include "util/loading/resource_manager.h"
 
 #include "debug.h"
Index: /branches/new_class_id/src/lib/gui/gl/glgui_handler.cc
===================================================================
--- /branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/gui/gl/glgui_handler.cc	(revision 9833)
@@ -23,4 +23,6 @@
 #include "glgui_cursor.h"
 
+#include "loading/new_resource_manager.h"
+
 #include <cassert>
 
@@ -30,5 +32,4 @@
 /// TAKE THIS OUT OF HERE.
 #include "graphics_engine.h"
-#include "loading/resource_manager.h"
 
 namespace OrxGui
@@ -76,5 +77,5 @@
     this->_cursor->setMaxBorders(Vector2D(GraphicsEngine::getInstance()->getResolutionX(), GraphicsEngine::getInstance()->getResolutionY()));
 
-    _cursor->loadTextureSequence(ResourceManager::getInstance()->getDataDir() + "/" + "maps/reap_mouse/reap_mouse_##.png", 1, 49);
+    _cursor->loadTextureSequence(Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + "/" + "maps/reap_mouse/reap_mouse_##.png", 1, 49);
 
   }
Index: /branches/new_class_id/src/lib/gui/gl/glgui_widget.cc
===================================================================
--- /branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/gui/gl/glgui_widget.cc	(revision 9833)
@@ -25,7 +25,5 @@
 
 #include "loading/load_param.h"
-
-/// TODO TAKE THIS OUT OF HERE
-#include "loading/resource_manager.h"
+#include "loading/new_resource_manager.h"
 
 namespace OrxGui
@@ -104,5 +102,5 @@
 
     if(GLGuiWidget::_defaultFont == NULL)
-      GLGuiWidget::_defaultFont = new Font(ResourceManager::getInstance()->getDataDir() + "/fonts/final_frontier.ttf", 20);
+      GLGuiWidget::_defaultFont = new Font(Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + "/fonts/final_frontier.ttf", 20);
 
     this->_font = *GLGuiWidget::_defaultFont;
Index: /branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc
===================================================================
--- /branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/network/monitor/network_stats_widget.cc	(revision 9833)
@@ -20,9 +20,9 @@
 #include "peer_info.h"
 
+#include "loading/new_resource_manager.h"
+
 #include "multi_type.h"
 
 #include "shell_command.h"
-
-#include "loading/resource_manager.h"
 
 // this fcuk does not work!
@@ -56,5 +56,5 @@
 {
   if(_font == NULL)
-    _font = new Font(ResourceManager::getInstance()->getDataDir() + "/fonts/arial.ttf", 20);
+    _font = new Font(Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + "/fonts/arial.ttf", 20);
 
   //this->_name.setFont(*_font);
Index: /branches/new_class_id/src/lib/network/network_stream.cc
===================================================================
--- /branches/new_class_id/src/lib/network/network_stream.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/network/network_stream.cc	(revision 9833)
@@ -36,11 +36,10 @@
 #include "zip.h"
 
-#include "src/lib/util/loading/resource_manager.h"
-
 #include "network_log.h"
 
 #include "player_stats.h"
 
-#include "lib/util/loading/factory.h"
+#include "loading/factory.h"
+#include "loading/new_resource_manager.h"
 
 #include "debug.h"
@@ -1300,5 +1299,5 @@
     length = remainingBytesToWriteToDict;
 
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::NewResourceManager::getInstance()->mainGlobalPath().name();
   fileName += "/dicts/newdict";
 
Index: /branches/new_class_id/src/lib/network/proxy/network_settings.cc
===================================================================
--- /branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/network/proxy/network_settings.cc	(revision 9833)
@@ -21,7 +21,6 @@
 #include "shared_network_data.h"
 
-#include "loading/resource_manager.h"
 #include "loading/load_param.h"
-
+#include "loading/new_resource_manager.h"
 #include "debug.h"
 
@@ -65,5 +64,5 @@
 void NetworkSettings::loadData()
 {
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::NewResourceManager::getInstance()->mainGlobalPath().name();
   fileName += "configs/network_settings.conf";
 
Index: /branches/new_class_id/src/lib/network/zip.cc
===================================================================
--- /branches/new_class_id/src/lib/network/zip.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/network/zip.cc	(revision 9833)
@@ -15,6 +15,5 @@
 
 #include "zip.h"
-
-#include "src/lib/util/loading/resource_manager.h"
+#include "loading/new_resource_manager.h"
 #include "debug.h"
 
@@ -51,5 +50,5 @@
 int Zip::loadDictionary( std::string name )
 {
-  std::string fileName = ResourceManager::getInstance()->getDataDir();
+  std::string fileName = Resources::NewResourceManager::getInstance()->mainGlobalPath().name();
   //PRINTF(0)("datadir: %s\n", fileName.c_str());
   fileName = fileName + "/dicts/" + name;
Index: /branches/new_class_id/src/lib/script_engine/script.cc
===================================================================
--- /branches/new_class_id/src/lib/script_engine/script.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/script_engine/script.cc	(revision 9833)
@@ -18,6 +18,6 @@
 #include "luaincl.h"
 #include "debug.h"
-#include "util/loading/resource_manager.h"
-
+
+#include "loading/new_resource_manager.h"
 #include "loading/load_param.h"
 #include "parser/tinyxml/tinyxml.h"
@@ -100,5 +100,5 @@
 bool Script::loadFile(const std::string& filename)
  {
-   std::string filedest(ResourceManager::getInstance()->getDataDir());
+   std::string filedest(Resources::NewResourceManager::getInstance()->mainGlobalPath().name());
    filedest += "scripts/" + filename;
 
Index: /branches/new_class_id/src/lib/shell/shell_completion_plugin.cc
===================================================================
--- /branches/new_class_id/src/lib/shell/shell_completion_plugin.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/shell/shell_completion_plugin.cc	(revision 9833)
@@ -22,5 +22,5 @@
 
 #include "helper_functions.h"
-#include "loading/resource_manager.h"
+#include "loading/new_resource_manager.h"
 
 #include "filesys/directory.h"
@@ -97,5 +97,5 @@
     if (completionBegin.empty()) // if we do not yet have the beginning of the line, start with the chosen startDir.
     {
-      dir.setFileName(ResourceManager::getInstance()->getDataDir() + this->_subDir);
+      dir.setFileName(Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + this->_subDir);
       dir.open();
       for(unsigned int i = 0; i < dir.fileCount(); i++ )
@@ -112,5 +112,5 @@
         directoryName = completionBegin.substr(0, pos);
 
-      dir.setFileName(ResourceManager::getInstance()->getDataDir() + directoryName);
+      dir.setFileName(Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + directoryName);
       dir.open();
 
@@ -135,7 +135,7 @@
           continue;
         }
-        printf("%s\n", (ResourceManager::getInstance()->getDataDir() + fileName).c_str());
+	printf("%s\n", (Resources::NewResourceManager::getInstance()->mainGlobalPath().name() + fileName).c_str());
         if (!nocaseCmp(completionBegin, fileName, completionBegin.size()) &&
-             ResourceManager::isInDataDir(fileName))
+	     Resources::NewResourceManager::getInstance()->checkFileInMainPath(fileName))
         {
           printf("Dir %s\n", fileName.c_str());
Index: /branches/new_class_id/src/lib/sound/sound_engine.cc
===================================================================
--- /branches/new_class_id/src/lib/sound/sound_engine.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/sound/sound_engine.cc	(revision 9833)
@@ -22,5 +22,4 @@
 
 #include "p_node.h"
-#include "util/loading/resource_manager.h"
 #include "debug.h"
 #include "util/preferences.h"
Index: /branches/new_class_id/src/lib/util/loading/game_loader.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/game_loader.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/util/loading/game_loader.cc	(revision 9833)
@@ -20,9 +20,7 @@
 #include "game_loader.h"
 #include "util/loading/load_param.h"
-
+#include "util/loading/new_resource_manager.h"
 #include "debug.h"
 #include "campaign.h"
-
-#include "util/loading/resource_manager.h"
 
 #include "key_mapper.h"
@@ -85,5 +83,5 @@
 {
   ErrorMessage errorCode;
-  std::string campaignName = ResourceManager::getFullName(fileName);
+  std::string campaignName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
   if (!campaignName.empty())
   {
@@ -105,5 +103,5 @@
 {
   ErrorMessage errorCode;
-  std::string campaignName = ResourceManager::getFullName(fileName);
+  std::string campaignName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
   if (!campaignName.empty())
   {
Index: /branches/new_class_id/src/lib/util/loading/new_resource_manager.cc
===================================================================
--- /branches/new_class_id/src/lib/util/loading/new_resource_manager.cc	(revision 9832)
+++ /branches/new_class_id/src/lib/util/loading/new_resource_manager.cc	(revision 9833)
@@ -120,4 +120,8 @@
   }
 
+  std::string NewResourceManager::prependAbsoluteMainPath(const std::string& fileName)
+  {
+    return (this->_mainGlobalPath + File(fileName)).name();
+  }
 
 
Index: /branches/new_class_id/src/lib/util/loading/new_resource_manager.h
===================================================================
--- /branches/new_class_id/src/lib/util/loading/new_resource_manager.h	(revision 9832)
+++ /branches/new_class_id/src/lib/util/loading/new_resource_manager.h	(revision 9833)
@@ -44,4 +44,5 @@
 
     bool checkFileInMainPath(const File& fileInside);
+    std::string prependAbsoluteMainPath(const std::string& fileName);
 
     bool unloadAllByKeepLevel(const Resources::KeepLevel& keepLevel);
Index: /branches/new_class_id/src/story_entities/game_world.cc
===================================================================
--- /branches/new_class_id/src/story_entities/game_world.cc	(revision 9832)
+++ /branches/new_class_id/src/story_entities/game_world.cc	(revision 9833)
@@ -20,5 +20,4 @@
 #include "game_world_data.h"
 
-#include "util/loading/resource_manager.h"
 #include "state.h"
 
Index: /branches/new_class_id/src/story_entities/game_world_data.cc
===================================================================
--- /branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9832)
+++ /branches/new_class_id/src/story_entities/game_world_data.cc	(revision 9833)
@@ -21,9 +21,9 @@
 #include "game_world_data.h"
 
-#include "util/loading/resource_manager.h"
 #include "state.h"
 #include "substring.h"
 
 #include "util/loading/game_loader.h"
+#include "util/loading/new_resource_manager.h"
 
 #include "world_entity.h"
@@ -301,5 +301,6 @@
 
   // unload the resources loaded in this Level !!
-  ResourceManager::getInstance()->unloadAllByPriority(RP_LEVEL);
+  /// FIXME TODO HACK!!
+//  ResourceManager::getInstance()->unloadAllByPriority(RP_LEVEL);
 
   if (State::getObjectManager() == this->objectManager)
@@ -378,5 +379,5 @@
   {
     PRINTF(3)("Setting Sound Track to %s\n", name.c_str());
-    std::string oggFile = ResourceManager::getFullName(name);
+    std::string oggFile = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(name);
     this->music = new OrxSound::OggPlayer(oggFile);
     if (this->localPlayer != NULL)
Index: /branches/new_class_id/src/story_entities/menu/game_menu.cc
===================================================================
--- /branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9832)
+++ /branches/new_class_id/src/story_entities/menu/game_menu.cc	(revision 9833)
@@ -25,5 +25,4 @@
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
-#include "util/loading/resource_manager.h"
 
 #include "graphics_engine.h"
Index: /branches/new_class_id/src/story_entities/multi_player_world_data.cc
===================================================================
--- /branches/new_class_id/src/story_entities/multi_player_world_data.cc	(revision 9832)
+++ /branches/new_class_id/src/story_entities/multi_player_world_data.cc	(revision 9833)
@@ -18,5 +18,4 @@
 #include "multi_player_world_data.h"
 
-#include "util/loading/resource_manager.h"
 #include "state.h"
 #include "substring.h"
Index: /branches/new_class_id/src/story_entities/story_entity.cc
===================================================================
--- /branches/new_class_id/src/story_entities/story_entity.cc	(revision 9832)
+++ /branches/new_class_id/src/story_entities/story_entity.cc	(revision 9833)
@@ -22,6 +22,6 @@
 #include "story_entity.h"
 
-#include "util/loading/load_param.h"
-#include "util/loading/resource_manager.h"
+#include "loading/load_param.h"
+#include "loading/new_resource_manager.h"
 
 #include "debug.h"
@@ -107,5 +107,5 @@
   }
   else
-    this->loadFile = ResourceManager::getFullName(fileName);
+    this->loadFile = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(fileName);
 
   this->grabWorldInfo();
Index: /branches/new_class_id/src/world_entities/bsp_entity.cc
===================================================================
--- /branches/new_class_id/src/world_entities/bsp_entity.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/bsp_entity.cc	(revision 9833)
@@ -15,8 +15,7 @@
 
 #include "bsp_entity.h"
-#include "util/loading/resource_manager.h"
-#include "util/loading/resource_manager.h"
 
 #include "debug.h"
+#include "loading/new_resource_manager.h"
 
 #include "class_id_DEPRECATED.h"
@@ -72,5 +71,5 @@
 
   // Check wether file exists....
-  if ( File(ResourceManager::getFullName(name)).exists()  ) {
+  if ( File(Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(name)).exists()  ) {
 
     this->bspManager = new BspManager(this);
Index: /branches/new_class_id/src/world_entities/creatures/md2_creature.cc
===================================================================
--- /branches/new_class_id/src/world_entities/creatures/md2_creature.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/creatures/md2_creature.cc	(revision 9833)
@@ -22,5 +22,4 @@
 #include "objModel.h"
 #include "md2/md2Model.h"
-#include "util/loading/resource_manager.h"
 #include "state.h"
 
Index: /branches/new_class_id/src/world_entities/environment.cc
===================================================================
--- /branches/new_class_id/src/world_entities/environment.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/environment.cc	(revision 9833)
@@ -19,6 +19,4 @@
 
 #include "environment.h"
-
-#include "util/loading/resource_manager.h"
 
 #include "objModel.h"
Index: /branches/new_class_id/src/world_entities/environments/mapped_water.cc
===================================================================
--- /branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/environments/mapped_water.cc	(revision 9833)
@@ -17,5 +17,4 @@
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
-#include "util/loading/resource_manager.h"
 #include "state.h"
 #include "t_animation.h"
Index: /branches/new_class_id/src/world_entities/npcs/generic_npc.cc
===================================================================
--- /branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/npcs/generic_npc.cc	(revision 9833)
@@ -29,5 +29,4 @@
 #include "resource_sound_buffer.h"
 
-#include "loading/resource_manager.h"
 #include "sound/resource_sound_buffer.h"
 
Index: /branches/new_class_id/src/world_entities/recorder.cc
===================================================================
--- /branches/new_class_id/src/world_entities/recorder.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/recorder.cc	(revision 9833)
@@ -18,5 +18,4 @@
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
-#include "util/loading/resource_manager.h"
 #include "state.h"
 #include "debug.h"
Index: /branches/new_class_id/src/world_entities/satellite.h
===================================================================
--- /branches/new_class_id/src/world_entities/satellite.h	(revision 9832)
+++ /branches/new_class_id/src/world_entities/satellite.h	(revision 9833)
@@ -9,6 +9,4 @@
 #include "world_entity.h"
 #include "comincl.h"
-#include "util/loading/resource_manager.h"
-
 
 class CharacterAttributes;
Index: /branches/new_class_id/src/world_entities/skydome.cc
===================================================================
--- /branches/new_class_id/src/world_entities/skydome.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/skydome.cc	(revision 9833)
@@ -23,5 +23,4 @@
 #include "network_game_manager.h"
 #include "converter.h"
-#include "util/loading/resource_manager.h"
 
 #include "debug.h"
Index: /branches/new_class_id/src/world_entities/terrain.cc
===================================================================
--- /branches/new_class_id/src/world_entities/terrain.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/terrain.cc	(revision 9833)
@@ -18,9 +18,9 @@
 #include "terrain.h"
 
+#include "util/loading/new_resource_manager.h"
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
 #include "spatial_separation.h"
 
-#include "util/loading/resource_manager.h"
 #include "model.h"
 #include "network_game_manager.h"
@@ -93,8 +93,4 @@
   if( this->ssp)
     delete ssp;
-  if (this->vegetation)
-  {
-    ResourceManager::getInstance()->unload(this->vegetation);
-  }
 
   if(this->heightMap)
@@ -148,6 +144,6 @@
   this->heightMap = NULL;
 
-  std::string hmName = ResourceManager::getFullName(heightMapFile);
-  std::string hmColorName = ResourceManager::getFullName(colorMap);
+  std::string hmName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(heightMapFile);
+  std::string hmColorName = Resources::NewResourceManager::getInstance()->prependAbsoluteMainPath(colorMap);
 
 
@@ -181,9 +177,10 @@
   PRINTF(4)("loadVegetation: %s\n", vegetationFile.c_str());
   if (this->vegetation)
-    ResourceManager::getInstance()->unload(this->vegetation, RP_LEVEL);
+    this->vegetation = 0;
   if (!vegetationFile.empty())
   {
     PRINTF(4)("fetching %s\n", vegetationFile.c_str());
-    this->vegetation = dynamic_cast<Model*>(ResourceManager::getInstance()->load(vegetationFile, OBJ, RP_CAMPAIGN));
+    this->loadModel(vegetationFile, 1.0, 2);
+    this->vegetation = this->getModel(2);
   }
   else
Index: /branches/new_class_id/src/world_entities/weather_effects/atmospheric_engine.cc
===================================================================
--- /branches/new_class_id/src/world_entities/weather_effects/atmospheric_engine.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/weather_effects/atmospheric_engine.cc	(revision 9833)
@@ -15,6 +15,4 @@
 
 #include "atmospheric_engine.h"
-
-#include "util/loading/resource_manager.h"
 
 #include "weather_effects/fog_effect.h"
Index: /branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc
===================================================================
--- /branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc	(revision 9832)
+++ /branches/new_class_id/src/world_entities/weather_effects/cloud_effect.cc	(revision 9833)
@@ -19,5 +19,4 @@
 #include "util/loading/load_param.h"
 #include "util/loading/factory.h"
-#include "util/loading/resource_manager.h"
 
 #include "material.h"