Index: /code/branches/levelKaan/data/levels/Level_01.oxw
===================================================================
--- /code/branches/levelKaan/data/levels/Level_01.oxw	(revision 9835)
+++ /code/branches/levelKaan/data/levels/Level_01.oxw	(revision 9836)
@@ -59,5 +59,5 @@
    <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0"/>	
 
-   <TeamSpawnPoint team=0 position="0,0,0" direction="-1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort/> <!--spaceshipescort-->
+   <TeamSpawnPoint team=0 position="0,94000,0" direction="-1,1,1" spawnclass=SpaceShip pawndesign=spaceshipescort/> <!--spaceshipescort-->
 
 
@@ -73,10 +73,10 @@
    <SpaceShip
         team      = 0
-        position  = "-4000,4100,4000"
+        position  = "5000,5100,5000"
         roll      = 90   yaw=0  pitch=20
         mass      = 10000
         health    = 100000 initialhealth=100000 maxhealth="100000"
         name      = "HydroFarmer"
-        radarname = "Hydrogen Farmer" > 
+        radarname = "Hydro Farmer" > 
       <attached>
         <!-- Docking -->
@@ -122,5 +122,5 @@
     </SpaceShip>
 
-   <Dock position="-4000,4000,4000" roll=90 yaw=180 >
+   <Dock position="5000,5000,5000" roll=90 yaw=180 >
       <animations>
          <MoveToDockingTarget target="destroyer" />
@@ -149,5 +149,5 @@
         template            = "spaceshipcollateraldamage"
         team                = "0"
-        position            = "-4000,4800,4000"
+        position            = "5000,5800,5000"
         orientation         = "-0.14, 0.68, 0.68, 0.223"
         health              = "400"
@@ -167,13 +167,6 @@
     </SpaceShip>
 
-<BlinkingBillboard position="-3800,4800,4000" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
-          <events>
-            <visibility>
-                    <EventListener event=dockMe />
-            </visibility>
-          </events>
-</BlinkingBillboard>
-
-<BlinkingBillboard position="-500,500,500" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
+
+<BlinkingBillboard position="1000,1000,1000" frequency=0.6 amplitude=3 material="Flares/lensflare" colour="1,1,0.05">
           <events>
             <visibility>
@@ -188,5 +181,5 @@
           </events>
 </BlinkingBillboard>
-<Billboard position="-500,500,500" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
+<Billboard position="1000,1000,1000" amplitude=1 material="Flares/lensflare" colour="0,0.8,0.1">
           <events>
             <visibility>
@@ -202,6 +195,6 @@
 </Billboard>
 
-  <DistanceTrigger name="flying1" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=4/>
-    <SimpleNotification message="Hey Rookie.. We got a new mission for you.">
+  <DistanceTrigger name="flying1" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=1/>
+    <SimpleNotification message="Housten: John Vane do you hear us">
         <events>
             <trigger>
@@ -211,6 +204,6 @@
     </SimpleNotification>
 
-  <DistanceTrigger name="flying2" position="0,0,0" target="Pawn" distance=10 stayActive="true" delay=8/>
-    <SimpleNotification message="Go to the main station for more information.">
+   <DistanceTrigger name="flying2" position="0,0,0" target="Pawn" distance=100 stayActive="true" delay=4/>
+   <SimpleNotification message="Housten: We got a new mission for you">
         <events>
             <trigger>
@@ -218,8 +211,9 @@
             </trigger>
         </events>
-    </SimpleNotification>
-
- <DistanceTrigger name="flying3" position="-500,500, 500" target="Pawn" distance=100 stayActive="true" delay=3/>
-    <SimpleNotification message="Our Commander got kidnapped in District 69">
+   </SimpleNotification>
+
+
+  <DistanceTrigger name="flying3" position="0,0,0" target="Pawn" distance=10 stayActive="true" delay=7/>
+    <SimpleNotification message="John: I hear you. What is it about">
         <events>
             <trigger>
@@ -229,6 +223,6 @@
     </SimpleNotification>
 
- <DistanceTrigger name="flying4" position="-500,500, 500" target="Pawn" distance=100 stayActive="true" delay=7/>
-    <SimpleNotification message="We need you to rescue him.">
+ <DistanceTrigger name="flying4" position="1000,1000, 1000" target="Pawn" distance=100 stayActive="true" delay=1/>
+    <SimpleNotification message="Housten: Our Commander got kidnapped in Area 51">
         <events>
             <trigger>
@@ -238,6 +232,25 @@
     </SimpleNotification>
 
-<DistanceTrigger name="flying5" position="-500,500,500" target="Pawn" distance=100 stayActive="true" delay=11/>
-    <SimpleNotification message="Dock on the station to get a better ship.">
+ <DistanceTrigger name="flying5" position="1000,1000, 1000" target="Pawn" distance=100 stayActive="true" delay=4/>
+    <SimpleNotification message="Housten: We need you to rescue him.">
+        <events>
+            <trigger>
+                <EventListener event="flying5" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+<DistanceTrigger name="flying6" position="1000,1000, 1000" target="Pawn" distance=100 stayActive="true" delay=7/>
+    <SimpleNotification message="John: I'm right on the way.">
+        <events>
+            <trigger>
+                <EventListener event="flying6" />
+            </trigger>
+        </events>
+    </SimpleNotification>
+
+
+<DistanceTrigger name="flying5" position="1000,1000,1000" target="Pawn" distance=100 stayActive="true" delay=10/>
+    <SimpleNotification message="Houston: First dock on the station">
         <events>
             <trigger>
@@ -283,5 +296,5 @@
       position = "<?lua print(math.random()* 1500-750) ?>,<?lua print(math.random() * 10000 + 95000) ?>,<?lua print(math.random() * 1500-750) ?>"
       scale = "<?lua print(j * 40)?>"
-      velocity = "<?lua print(j*30)?>, <?lua print(j*30)?>-180, <?lua print(j*30)?>"
+      velocity = "<?lua print(j*30)?>, <?lua print(-100, <?lua print(j*30)?>"
       collisionType = dynamic
       collisiondamage = 0.1
@@ -314,5 +327,5 @@
 
 <DistanceTrigger name="portal2" position="-4000,4000,4000" target="Pawn" distance=50 stayActive="true" delay=3/>
-    <SimpleNotification message="Now go to the portal next to the satellite">
+    <SimpleNotification message="Housten: Now go through the portal!">
         <events>
             <trigger>
@@ -322,20 +335,6 @@
     </SimpleNotification>
 
-<DistanceTrigger name="portal3" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=3/>
-    <SimpleNotification message="Reach the wormhole to District 69">
-        <events>
-            <trigger>
-                <EventListener event="portal3" />
-            </trigger>
-        </events>
-    </SimpleNotification>
-
-   <SimpleNotification message="Take the lead of the formation">
-        <events>
-            <trigger>
-                <EventListener event="endOfLevel" />
-            </trigger>
-        </events>
-    </SimpleNotification>
+
+
 
 <!----------------------------------------------------------------------------------------------------->
@@ -343,5 +342,5 @@
 <!----------------------------------------------------------------------------------------------------->
 
-<?lua for i=0,2,1 do
+<!--<?lua for i=0,2,1 do
 ?>
 
@@ -385,5 +384,5 @@
     </Script> <!-- !!! activates formation behaviour !!! -->
 
- <Script code="formationcontroller followme">
+<!-- <Script code="formationcontroller followme">
         <events>
             <trigger>
@@ -393,5 +392,5 @@
     </Script> <!-- !!! activates formation behaviour !!! -->
 
-    <Script code="artificialcontroller setbotlevel 5" onLoad="false">
+ <!--   <Script code="artificialcontroller setbotlevel 5" onLoad="false">
         <events>
             <trigger>
@@ -399,5 +398,5 @@
             </trigger>
         </events>
-    </Script>
+    </Script>  -->
    
    <SpaceShip
@@ -410,5 +409,4 @@
         radarname = "Wormhole to District 69" > 
       <attached>
-        <!-- Docking -->
          <DistanceTriggerBeacon name="bcnDestroyer" />
          <Billboard position="0,0,0" material="Portals/Default" />
@@ -453,4 +451,33 @@
     </SpaceShip>
 
+   <DistanceTrigger name="portal3" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=1/>
+   <SimpleNotification message="Housten: Reach the wormhole to Area 51">
+      <events>
+         <trigger>
+            <EventListener event="portal3" 
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+   <DistanceTrigger name="portal4" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=4/>
+   <SimpleNotification message="Housten: Hurry up John">
+      <events>
+         <trigger>
+            <EventListener event="portal4" 
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+   <DistanceTrigger name="portal5" position="0,94000,0" target="SpaceShip" distance=50 stayActive="true" delay=7/>
+   <SimpleNotification message="We ">
+      <events>
+         <trigger>
+            <EventListener event="portal5" 
+         </trigger>
+      </events>
+   </SimpleNotification>
+
+
+
     <SimpleNotification message="End of game">
         <events>