Index: code/branches/invaders/src/modules/invader/Invader.cc
===================================================================
--- code/branches/invaders/src/modules/invader/Invader.cc	(revision 9829)
+++ code/branches/invaders/src/modules/invader/Invader.cc	(revision 9837)
@@ -87,8 +87,10 @@
             return;
 
-        InvaderEnemy* newPawn = new InvaderEnemy(this->center_->getContext());
-        newPawn->addTemplate("enemyinvader");
-
-        newPawn->setPosition(player->getPosition() + Vector3(1000, 0, 0)); // BUG: 
+        for (int i = 0; i < level; i++)
+        {
+            SmartPtr<InvaderEnemy> newPawn = new InvaderEnemy(this->center_->getContext());
+            newPawn->addTemplate("enemyinvader");
+            newPawn->setPosition(player->getPosition() + Vector3(500 + 100 * i, 0, 0));
+        }
     }
 
Index: code/branches/invaders/src/modules/invader/Invader.h
===================================================================
--- code/branches/invaders/src/modules/invader/Invader.h	(revision 9829)
+++ code/branches/invaders/src/modules/invader/Invader.h	(revision 9837)
@@ -67,5 +67,5 @@
             int getPoints(){return this->point;}
 
-            void costLife(){lives--; if (lives == 0) orxout() << "end<<<<<<<<<<<<<<<<<" << endl;};
+            void costLife(){lives--; if (lives <= 0) end();};
             void levelUp(){level++;}
             void addPoints(int numPoints){point += numPoints * multiplier; b_combo = true;}
Index: code/branches/invaders/src/modules/invader/InvaderEnemy.cc
===================================================================
--- code/branches/invaders/src/modules/invader/InvaderEnemy.cc	(revision 9829)
+++ code/branches/invaders/src/modules/invader/InvaderEnemy.cc	(revision 9837)
@@ -48,4 +48,5 @@
     void InvaderEnemy::tick(float dt)
     {
+        setVelocity(Vector3(500 ,0, 0));
         SUPER(InvaderEnemy, tick, dt);
     }
@@ -53,7 +54,6 @@
     inline bool InvaderEnemy::collidesAgainst(WorldEntity* otherObject, btManifoldPoint& contactPoint)
     {
-        orxout() << "sadsadasfasf" << endl;
+        setVelocity(Vector3(900,0,0));
         removeHealth(2000);
-        setVelocity(Vector3(0,0,1000));
         return false;
     }
Index: code/branches/invaders/src/orxonox/worldentities/BigExplosion.cc
===================================================================
--- code/branches/invaders/src/orxonox/worldentities/BigExplosion.cc	(revision 9829)
+++ code/branches/invaders/src/orxonox/worldentities/BigExplosion.cc	(revision 9837)
@@ -43,5 +43,5 @@
     RegisterClass(BigExplosion);
 
-    BigExplosion::BigExplosion(Context* context) : StaticEntity(context)
+    BigExplosion::BigExplosion(Context* context) : MobileEntity(context)
     {
         RegisterObject(BigExplosion);
@@ -100,5 +100,5 @@
         this->debris4_->setSyncMode(0);
 
-        this->explosion_ = new StaticEntity(this->getContext());
+        this->explosion_ = new MobileEntity(this->getContext());
         this->explosion_->setSyncMode(0);
 
Index: code/branches/invaders/src/orxonox/worldentities/BigExplosion.h
===================================================================
--- code/branches/invaders/src/orxonox/worldentities/BigExplosion.h	(revision 9829)
+++ code/branches/invaders/src/orxonox/worldentities/BigExplosion.h	(revision 9837)
@@ -22,5 +22,5 @@
  *   Author:
  *      Benjamin de Capitani
- *   Co-authors:
+ *   Co-authors:§
  *      ...
  *
@@ -33,9 +33,9 @@
 
 #include "tools/Timer.h"
-#include "StaticEntity.h"
+#include "MobileEntity.h"
 
 namespace orxonox
 {
-    class _OrxonoxExport BigExplosion : public StaticEntity
+    class _OrxonoxExport BigExplosion : public MobileEntity
     {
         public:
@@ -60,5 +60,5 @@
             bool                  bStop_;
 
-            StaticEntity*         explosion_;
+            MobileEntity*         explosion_;
 
             MovableEntity*        debrisEntity1_;
Index: code/branches/invaders/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- code/branches/invaders/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9829)
+++ code/branches/invaders/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9837)
@@ -367,4 +367,5 @@
         BigExplosion* chunk = new BigExplosion(this->getContext());
         chunk->setPosition(this->getPosition());
+        chunk->setVelocity(this->getVelocity());
 
     }