Index: branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.cc	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.cc	(revision 9847)
@@ -7,5 +7,5 @@
 
 ResourceMD2::ResourceMD2(const std::string& modelName, const std::string& skinName, float scale)
-    : NewResource(&ResourceMD2::type)
+    : Resource(&ResourceMD2::type)
 {
   Resources::StorePointer* ptr = this->acquireResource(loadString(modelName, skinName, scale));
@@ -19,8 +19,8 @@
   {
     PRINTF(0)("NOT FOUND MD2: %s\n", modelName.c_str());
-    std::string modelFileName = this->NewResource::locateFile(modelName);
-    //std::string skinFileName = this->NewResource::locateFile(skinName);
+    std::string modelFileName = this->Resource::locateFile(modelName);
+    //std::string skinFileName = this->Resource::locateFile(skinName);
     this->MD2Model::load(modelFileName, skinName, scale);
-    this->NewResource::addResource(new ResourceMD2::MD2ResourcePointer(loadString(modelName, skinName, scale), Resources::KeepLevel(0), this->MD2Model::dataPointer()));
+    this->Resource::addResource(new ResourceMD2::MD2ResourcePointer(loadString(modelName, skinName, scale), Resources::KeepLevel(0), this->MD2Model::dataPointer()));
   }
 
Index: branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.h	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/md2/resource_md2.h	(revision 9847)
@@ -12,5 +12,5 @@
 
 
-class ResourceMD2 : public MD2Model, public Resources::NewResource
+class ResourceMD2 : public MD2Model, public Resources::Resource
 {
 public:
Index: branches/new_class_id/src/lib/graphics/importer/resource_obj.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/resource_obj.cc	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/resource_obj.cc	(revision 9847)
@@ -7,5 +7,5 @@
 
 ResourceOBJ::ResourceOBJ(const std::string& imageName, float scaling)
-    : NewResource(&ResourceOBJ::type)
+    : Resource(&ResourceOBJ::type)
 {
   Resources::StorePointer* ptr = this->acquireResource(imageName + ',' + MultiType(scaling).getString());
@@ -19,7 +19,7 @@
   {
     PRINTF(5)("NOT FOUND OBJ: %s\n", imageName.c_str());
-    std::string fileName = this->NewResource::locateFile(imageName);
+    std::string fileName = this->Resource::locateFile(imageName);
     this->acquireData(OBJModel(fileName, scaling).dataPointer());
-    this->NewResource::addResource(new ResourceOBJ::OBJResourcePointer(imageName + ',' + MultiType(scaling).getString(), Resources::KeepLevel(0), this->StaticModel::dataPointer()));
+    this->Resource::addResource(new ResourceOBJ::OBJResourcePointer(imageName + ',' + MultiType(scaling).getString(), Resources::KeepLevel(0), this->StaticModel::dataPointer()));
   }
 }
Index: branches/new_class_id/src/lib/graphics/importer/resource_obj.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/resource_obj.h	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/resource_obj.h	(revision 9847)
@@ -11,5 +11,5 @@
 #include "objModel.h"
 
-class ResourceOBJ : public StaticModel, public Resources::NewResource
+class ResourceOBJ : public StaticModel, public Resources::Resource
 {
 public:
Index: branches/new_class_id/src/lib/graphics/importer/resource_texture.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/resource_texture.cc	(revision 9847)
@@ -7,5 +7,5 @@
 
 ResourceTexture::ResourceTexture(const std::string& imageName, GLenum target)
-    : NewResource(&ResourceTexture::type)
+    : Resource(&ResourceTexture::type)
 {
   Resources::StorePointer* ptr = this->acquireResource(imageName + ',' + MultiType((int)target).getString());
@@ -19,7 +19,7 @@
   {
     PRINTF(5)("NOT FOUND TEXTURE: %s\n", imageName.c_str());
-    std::string fileName = this->NewResource::locateFile(imageName);
+    std::string fileName = this->Resource::locateFile(imageName);
     this->Texture::loadImage(fileName, target);
-    this->NewResource::addResource(new ResourceTexture::TextureResourcePointer(imageName + ',' + MultiType((int)target).getString(), Resources::KeepLevel(0), this->Texture::dataPointer()));
+    this->Resource::addResource(new ResourceTexture::TextureResourcePointer(imageName + ',' + MultiType((int)target).getString(), Resources::KeepLevel(0), this->Texture::dataPointer()));
   }
 }
Index: branches/new_class_id/src/lib/graphics/importer/resource_texture.h
===================================================================
--- branches/new_class_id/src/lib/graphics/importer/resource_texture.h	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/importer/resource_texture.h	(revision 9847)
@@ -12,5 +12,5 @@
 
 
-class ResourceTexture : public Texture, public Resources::NewResource
+class ResourceTexture : public Texture, public Resources::Resource
 {
 public:
Index: branches/new_class_id/src/lib/graphics/resource_shader.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/resource_shader.cc	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/resource_shader.cc	(revision 9847)
@@ -5,5 +5,5 @@
 
 ResourceShader::ResourceShader(const std::string& vertexShaderName, const std::string& fragmentShaderName)
-    : NewResource(&ResourceShader::type)
+    : Resource(&ResourceShader::type)
 {
   Resources::StorePointer* ptr = this->acquireResource(vertexShaderName +','+fragmentShaderName);
@@ -17,11 +17,11 @@
   {
     PRINTF(5)("NOT FOUND SHADER: %s\n", vertexShaderName.c_str());
-    std::string vertexFileName = this->NewResource::locateFile(vertexShaderName);
+    std::string vertexFileName = this->Resource::locateFile(vertexShaderName);
     std::string fragmentFileName;
     if (!fragmentShaderName.empty())
-      fragmentFileName = this->NewResource::locateFile(fragmentShaderName);
+      fragmentFileName = this->Resource::locateFile(fragmentShaderName);
 
     this->Shader::load(vertexFileName, fragmentFileName);
-    this->NewResource::addResource(new ResourceShader::ShaderResourcePointer(vertexShaderName+','+fragmentShaderName, Resources::KeepLevel(0), this->Shader::dataPointer()));
+    this->Resource::addResource(new ResourceShader::ShaderResourcePointer(vertexShaderName+','+fragmentShaderName, Resources::KeepLevel(0), this->Shader::dataPointer()));
   }
 }
Index: branches/new_class_id/src/lib/graphics/resource_shader.h
===================================================================
--- branches/new_class_id/src/lib/graphics/resource_shader.h	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/resource_shader.h	(revision 9847)
@@ -12,5 +12,5 @@
 
 
-class ResourceShader : public Shader, public Resources::NewResource
+class ResourceShader : public Shader, public Resources::Resource
 {
 public:
Index: branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/text_engine/resource_font.cc	(revision 9847)
@@ -7,5 +7,5 @@
 
 ResourceFont::ResourceFont(const std::string& fontName, unsigned int renderSize)
-  : Font(), NewResource(&ResourceFont::type)
+  : Font(), Resource(&ResourceFont::type)
 {
   assert(!fontName.empty());
@@ -20,10 +20,10 @@
   {
     PRINTF(5)("NOT FOUND FONT: %s\n", fontName.c_str());
-    std::string fileName = this->NewResource::locateFile(fontName);
+    std::string fileName = this->Resource::locateFile(fontName);
 
     printf("FONTFILE %s TO %s\n", fontName.c_str(), fileName.c_str());
 
     this->Font::loadFontFromTTF(fileName, renderSize);
-    this->NewResource::addResource(new ResourceFont::FontResourcePointer(fontName + ',' + MultiType((int)renderSize).getString(), Resources::KeepLevel(0), this->Font::dataPointer()));
+    this->Resource::addResource(new ResourceFont::FontResourcePointer(fontName + ',' + MultiType((int)renderSize).getString(), Resources::KeepLevel(0), this->Font::dataPointer()));
   }
 }
Index: branches/new_class_id/src/lib/graphics/text_engine/resource_font.h
===================================================================
--- branches/new_class_id/src/lib/graphics/text_engine/resource_font.h	(revision 9846)
+++ branches/new_class_id/src/lib/graphics/text_engine/resource_font.h	(revision 9847)
@@ -12,5 +12,5 @@
 
 
-class ResourceFont : public Font, public Resources::NewResource
+class ResourceFont : public Font, public Resources::Resource
 {
 public:
Index: branches/new_class_id/src/lib/sound/resource_sound_buffer.cc
===================================================================
--- branches/new_class_id/src/lib/sound/resource_sound_buffer.cc	(revision 9846)
+++ branches/new_class_id/src/lib/sound/resource_sound_buffer.cc	(revision 9847)
@@ -9,5 +9,5 @@
 
   ResourceSoundBuffer::ResourceSoundBuffer(const std::string& soundName)
-      : SoundBuffer(), NewResource(&ResourceSoundBuffer::type)
+      : SoundBuffer(), Resource(&ResourceSoundBuffer::type)
   {
     this->registerObject(this, ResourceSoundBuffer::_objectList);
@@ -23,7 +23,7 @@
     {
       PRINTF(5)("SOUND NOT FOUND: %s\n", soundName.c_str());
-      std::string fileName = this->NewResource::locateFile(soundName);
+      std::string fileName = this->Resource::locateFile(soundName);
       this->SoundBuffer::load(fileName);
-      this->NewResource::addResource(new ResourceSoundBuffer::SoundBufferResourcePointer(soundName, Resources::KeepLevel(0), this->SoundBuffer::dataPointer()));
+      this->Resource::addResource(new ResourceSoundBuffer::SoundBufferResourcePointer(soundName, Resources::KeepLevel(0), this->SoundBuffer::dataPointer()));
     }
   }
Index: branches/new_class_id/src/lib/sound/resource_sound_buffer.h
===================================================================
--- branches/new_class_id/src/lib/sound/resource_sound_buffer.h	(revision 9846)
+++ branches/new_class_id/src/lib/sound/resource_sound_buffer.h	(revision 9847)
@@ -13,5 +13,5 @@
 namespace OrxSound
 {
-  class ResourceSoundBuffer : public SoundBuffer, public Resources::NewResource
+  class ResourceSoundBuffer : public SoundBuffer, public Resources::Resource
   {
     ObjectListDeclaration(ResourceSoundBuffer);
Index: branches/new_class_id/src/lib/util/loading/resource.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9846)
+++ branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9847)
@@ -24,5 +24,5 @@
 namespace Resources
 {
-  ObjectListDefinition(NewResource);
+  ObjectListDefinition(Resource);
 
 
@@ -30,8 +30,8 @@
    * standard constructor
   */
-  NewResource::NewResource (Type* type)
+  Resource::Resource (Type* type)
       : _pointer(NULL), _type(type)
   {
-    this->registerObject(this, NewResource::_objectList);
+    this->registerObject(this, Resource::_objectList);
   }
 
@@ -39,5 +39,5 @@
    * standard deconstructor
    */
-  NewResource::~NewResource ()
+  Resource::~Resource ()
   {
     // delete what has to be deleted here
@@ -45,5 +45,5 @@
 
 
-  std::string NewResource::locateFile(const std::string& fileName) const
+  std::string Resource::locateFile(const std::string& fileName) const
   {
     if ((ResourceManager::getInstance()->mainGlobalPath() + File(fileName)).exists() )
@@ -69,5 +69,5 @@
    * @return true on success.
    */
-  std::string NewResource::locateFileInSubDir(const Directory& directory, const std::string& fileName) const
+  std::string Resource::locateFileInSubDir(const Directory& directory, const std::string& fileName) const
   {
     std::vector<Directory>::const_iterator it;
@@ -84,5 +84,5 @@
 
 
-  StorePointer* NewResource::acquireResource(const std::string& loadString)
+  StorePointer* Resource::acquireResource(const std::string& loadString)
   {
     //const Type* const type = _resourceTypes[this->_type->id()];
@@ -98,5 +98,5 @@
 
 
-  void NewResource::addResource(StorePointer* pointer)
+  void Resource::addResource(StorePointer* pointer)
   {
     this->_type->addResource(pointer);
Index: branches/new_class_id/src/lib/util/loading/resource.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource.h	(revision 9846)
+++ branches/new_class_id/src/lib/util/loading/resource.h	(revision 9847)
@@ -1,5 +1,5 @@
 /*!
  * @file resource.h
- * @brief Definition of a NewResource.
+ * @brief Definition of a Resource.
 */
 
@@ -130,15 +130,17 @@
 
 
-  //! A NewResource is an Object, that can be loaded from Disk
+
+
+  //! A Resource is an Object, that can be loaded from Disk
   /**
-   * The NewResource Hanldes the location and stores pointers to data that can be retrieved.
+   * The Resource Hanldes the location and stores pointers to data that can be retrieved.
    */
-  class NewResource : virtual public BaseObject
+  class Resource : virtual public BaseObject
   {
-    ObjectListDeclaration(NewResource);
+    ObjectListDeclaration(Resource);
 
   public:
-    NewResource(Resources::Type* type);
-    virtual ~NewResource();
+    Resource(Resources::Type* type);
+    virtual ~Resource();
 
     /** @brief reloads the underlying resource */
@@ -158,5 +160,5 @@
   private:
     Resources::StorePointer*       _pointer;                         //!< Virtual Pointer to the ResourceData.
-    Resources::Type*               _type;                            //!< Type of the NewResource.
+    Resources::Type*               _type;                            //!< Type of the Resource.
   };
 }