Index: branches/new_class_id/src/lib/util/loading/resource.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9849)
+++ branches/new_class_id/src/lib/util/loading/resource.cc	(revision 9850)
@@ -24,10 +24,12 @@
 namespace Resources
 {
+  //! Define an ObjectList for the Resources
   ObjectListDefinition(Resource);
 
 
   /**
-   * standard constructor
-  */
+   * @brief standard constructor
+   * @param type the Type this resource belongs to.
+   */
   Resource::Resource (Type* type)
       : _pointer(NULL), _type(type)
@@ -37,5 +39,5 @@
 
   /**
-   * standard deconstructor
+   * @brief standard deconstructor
    */
   Resource::~Resource ()
@@ -44,5 +46,19 @@
   }
 
-
+  /**
+   * @brief Locates a File inside of the Resources Paths and returns the appended path.
+   *
+   * @param fileName the Name of the file to look for.
+   * @returns the Name of the File prepended with the PAth it is in, if found, empty String ("") otherwise.
+   *
+   * This Function searches in (ordered):
+   * 1. mainGlobalPath (from ResourceManger)
+   * 2. all of the global Paths (from ResourceManger)
+   * 3. all of the Resources Paths (from Resources::Type)
+   *
+   * in each of these directory, first "./" is searched, and afterwards all of the subDirs (from Resources::Type) are searched.
+   *
+   * @todo finish it!!
+   */
   std::string Resource::locateFile(const std::string& fileName) const
   {
@@ -83,5 +99,8 @@
 
 
-
+  /**
+   * @param loadString the Identifier of the Resource.
+   * @returns a Store-Pointer to the Resource if found, NULL otherwise
+   */
   StorePointer* Resource::acquireResource(const std::string& loadString)
   {
@@ -97,7 +116,11 @@
   }
 
-
+  /**
+   * @brief registers a StorePointer to a Resource's Type.
+   * @param pointer the StorePointer to register.
+   */
   void Resource::addResource(StorePointer* pointer)
   {
+    assert(pointer != NULL);
     this->_type->addResource(pointer);
   }
@@ -111,4 +134,10 @@
   //// KEEPLEVEL ////
   ///////////////////
+  /**
+   * @brief constructor of a KeepLevel.
+   * @param keepLevelName the Name of the KeepLevel. Must be one Name of the defined Names in the ResourceManager.
+   *
+   * @note the Name is transformed into an Integer for fast interpretation.
+   */
   KeepLevel::KeepLevel(const std::string& keepLevelName)
   {
@@ -116,4 +145,7 @@
   }
 
+  /**
+   * @returns the name of the KeepLevel.
+   */
   const std::string& KeepLevel::name() const
   {
@@ -126,4 +158,9 @@
   //// STORE POINTER ////
   ///////////////////////
+  /**
+   * @brief allocates a StorePointer.
+   * @param loadString An identifier String that is unique between all resources of this type.
+   * @param keepLevel the KeepLevel at wich to keep this resource.
+   */
   StorePointer::StorePointer(const std::string& loadString, const KeepLevel& keeplevel)
       : _loadString(loadString), _keepLevel(keeplevel)
@@ -136,4 +173,8 @@
   //// TYPE ////
   //////////////
+  /**
+   * @brief allocates a Type.
+   * @param typeName the Name of the Type to be stored in this Container.
+   */
   Type::Type(const std::string& typeName)
       : _typeName(typeName)
@@ -143,4 +184,5 @@
   }
 
+  //! Destructs a Type.
   Type::~Type()
   {
@@ -148,4 +190,8 @@
   }
 
+  /**
+   * @brief adds a Resource to this Resource's type.
+   * @param resource the Resource to add.
+   */
   void Type::addResource(StorePointer* resource)
   {
@@ -153,4 +199,8 @@
   }
 
+  /**
+   * @brief adds a Path to the Type's resource-paths.
+   * @param path the path-name to add.
+   */
   bool Type::addResourcePath(const std::string& path)
   {
@@ -164,4 +214,8 @@
   }
 
+  /**
+   * @brief Adds a SubPath to the Type's resource-subpaths.
+   * @param subPath the subpath to add.
+   */
   bool Type::addResourceSubPath(const std::string& subPath)
   {
@@ -174,4 +228,8 @@
   }
 
+  /**
+   * @brief Unloads all Resources below a certain Level.
+   * @param keepLevel the KeepLevel at what to remove the Resources from.
+   */
   void Type::unloadAllBelowKeepLevel(const Resources::KeepLevel& keepLevel)
   {
@@ -179,12 +237,14 @@
     for (it = this->_storedResources.begin(); it != this->_storedResources.end(); ++it)
       if((*it)->keepLevel() < keepLevel && (*it)->last())
-    {
-      delete (*it);
-      this->_storedResources.erase(it);
-      it = this->_storedResources.begin();
-    }
-  }
-
-
+      {
+        delete (*it);
+        this->_storedResources.erase(it);
+        it = this->_storedResources.begin();
+      }
+  }
+
+  /**
+   * @brief print out some nice Debug information in a beatifully designed style
+   */
   void Type::debug() const
   {
Index: branches/new_class_id/src/lib/util/loading/resource.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/resource.h	(revision 9849)
+++ branches/new_class_id/src/lib/util/loading/resource.h	(revision 9850)
@@ -14,4 +14,5 @@
 #include "filesys/directory.h"
 
+//! A Namespace Resources and ResourceHandling is defined in.
 namespace Resources
 {
@@ -29,10 +30,14 @@
     KeepLevel(const std::string& keepLevelName);
 
+    //! Compare equality
     inline bool operator==(const KeepLevel& keepLevel) const { return this->_keepLevel == keepLevel._keepLevel; };
+    //! Compares inequality
     inline bool operator!=(const KeepLevel& keepLevel) const { return this->_keepLevel != keepLevel._keepLevel; };
+    //! Compares less/equal than
     inline bool operator<=(const KeepLevel& keepLevel) const { return this->_keepLevel <= keepLevel._keepLevel; };
+    //! Compares less than
     inline bool operator<(const KeepLevel& keepLevel) const { return this->_keepLevel < keepLevel._keepLevel; };
 
-    /** @returns the KeepLevel */
+    /** @returns the KeepLevel as a number */
     inline unsigned int keepLevel() const { return _keepLevel; };
     const std::string& name() const;
@@ -85,6 +90,6 @@
   public:
     virtual ~Type();
-    /** @returns true if the names match @param resourceName the Name to compare. @brief compare the Type with a Name */
-    bool operator==(const std::string& resourceName) const { return this->_typeName == resourceName; };
+    /** @returns true if the names match @param typeName the Name to compare. @brief compare the Type with a Name */
+    bool operator==(const std::string& typeName) const { return this->_typeName == typeName; };
 
     void addExtension(const std::string& extension);